Val = function(i){
  i = $(i).value;
  if(isNumeric(i, 0) && (i >= 0)){
    return i;
  } else {
    alert(i + ' is not a positive number');
  }
}
function validate(f) {
  //alert("Validating");
  var why = "";

  //[FH] Status field now a drop down. Always has a value.
  //why += checkStatus(f);

  why += checkGrossSalary(f.grosssalary.value, "Annual gross salary", false, 0);

  why += checkNumeric(f.salary2.value, "Annual allowable pension contribution", false, 0);

  //[FH] Age field now a drop down. Always has a value.
  //TODO Need to apply mapping here as pension check!!
  why += checkAgeAttained(f.salary2.value, mapField(f.age.value, 'age'));
  
  //why += checkInsideContributionLimit(f.grosssalary.value, f.salary2.value, f.age.value, f.publicSector.checked, getStatus(f.status));
  why += checkInsideContributionLimit(f.grosssalary.value, f.salary2.value, mapField(f.age.value, 'data.age'), false, mapField(f.status.value, 'status'));
  
  why += checkNumeric(f.salary3.value, "Annual pension levy", false, 0);
  why += checkNumeric(f.netsalary.value, "Annual net salary", false, 0);
  why += checkNumeric(f.pensions.value, "Pensions", false, 0);
  // This matches no input box!!!
  //why += checkIncome(f.salary.value, f.pensions.value); 
  
  why += checkNumeric(f.investments.value, "Investments", false, 0);
  why += checkNumeric(f.otherincome.value, "Other sources of income earned", false, 0);
  //why += checkPRSI(f);
  why += checkNumeric(f.companycarvalue.value, "Company Car Value", false, 0);  
  
//  alert("f.mileage.value = " + f.mileage.value);
//  alert("f.companycarvalue.value = " + f.companycarvalue.value);
  why += checkBusinessKMs(mapField(f.mileage.value, 'mileage'), f.companycarvalue.value);
  
  why += checkNumeric(f.healthbik.value, "VHI / BUPA Benefit in Kind", false, 0); 
  why += checkNumeric(f.clubsbik.value, "Clubs and Subs Benefit in Kind", false, 0);  
  why += checkNumeric(f.otherbik.value, "Other Benefit in Kind", false, 0);
  var mortgagerelief = 'N';
  var firsttimebuyer = 'N';
  why += checkLoans(checkYesNoRadio(mapField(f.prefloanmortgage.value, 'prefloanmortgage')), checkYesNoRadio(mortgagerelief), checkYesNoRadio(firsttimebuyer), f.loaninterestpaid.value, f.loaninterestrate.value);     
  why += checkHomeCarer(f);
  if (why != "") {
    //console.log(why);
    return {"errors" : why};
  }
  return true;
}

// Calculates new gross salary for public sector workers based on budget 09-12-09 
function revised2010Salary(salary) {

  var reduction = 0;

  if (salary >= 200000) {
    reduction = salary * 15 / 100;
    return salary - reduction;
  } else if ( salary >= 165000) {
    reduction = salary * 12 /100;
    return salary - reduction;
  } else if ( salary >= 125000) {
    reduction = salary * 8 /100;
    return salary - reduction;
  } else {
    if (salary <= 30000) {
      reduction = (min(30000, salary)) * 5 / 100;
      return salary - reduction;
    }

    if (salary <= 70000) {
      reduction = 1500;
      reduction = reduction + min(70000, salary - 30000) * 7.5 / 100;
      return salary - reduction;
    }

    if (salary > 70000) {
      reduction = 3000 + 1500;
      reduction = reduction + (salary - 70000) * 10 / 100;
      return salary - reduction;
    }
  } 
}
function convertToDecimal(number, places) {
  places = 0;
  minus = 0;
  if (number < 0) {
    minus = 1;
    number = number * -1;
  }
  n = number;
  for (i = 0; i < places;i++) {
    n = n * 10;
  }
  n = Math.round(n);
  n = new String(n);
  len = n.length;
  var dot="";
  if (places > 0) {
    dot = ".";
  }
  n = n.substring(0, len-places) + dot + n.substring(len-places);
  if (n == ".0") {
    n = "0.00";
  }
  else {
    if (n.length > 3 && n.length < 7) {
      n = n.substring(0, n.length-3) + "," + n.substring(n.length-3);
    }
  }
  if (minus==1) {
    n = "-" + n;
  }
  return n;
}
/*
This function checks to make sure something from 
"Age attained during tax year" has been selected 
from the dropdown if an amount has been input for
the "Annual allowable pension contribution".
Parameters:
1. annualPensionAmount - string
2. ageAttainedIndex - int
*/
function checkAgeAttained(annualPensionAmount, ageAttainedIndex) {
  //alert("Age attained index = " + ageAttainedIndex);
  if (!isBlank(annualPensionAmount) && isNumeric(annualPensionAmount, 1)) {
    //alert("Annual pension amount is not blank and is numeric.....");
    if (ageAttainedIndex != 15 && ageAttainedIndex != 20 && ageAttainedIndex != 25 && ageAttainedIndex != 30 && ageAttainedIndex != 35 && ageAttainedIndex != 40) {
      //alert("An age attained during the year has not been selected.....");
      return "If you are making a pension contribution you must select an age attained during the year from the drop down list.<br />";
    }
  }
  return "";
}
function checkBusinessKMs(mileage, companycarvalue) {
  //alert("Age attained index = " + ageAttainedIndex);
  if (!isBlank(companycarvalue) && isNumeric(companycarvalue, 1)) {
    //alert("Annual pension amount is not blank and is numeric.....");
    if (mileage > 5 || mileage < 1) {
      //alert("An age attained during the year has not been selected.....");
      return "Please select your amount of business mileage from the drop down list.<br />";
    }
  }
  return "";

}
/*
This function checks to make sure the pension contribution isn't
larger than what's alowed for that age group.
Parameters:
1. gSalary - string
2. aPensionAmount - string
3. aAttainedIndex - int
*/
function checkInsideContributionLimit(gSalary, aPensionAmount, aAttainedIndex, isPublicWorker, theStatus) {
//  alert("checkInsideContributionLimit");
  //alert(theStatus);
  if (!isBlank(gSalary) && isNumeric(gSalary, 0) && !isBlank(aPensionAmount) && isNumeric(aPensionAmount, 0) && !isBlank(aAttainedIndex) && isNumeric(aAttainedIndex, 0)) {

    var grossSalary = parseFloat(gSalary);
    //alert("isPublicWorker? " + isPublicWorker)
    //alert("Old gross salary = " + parseFloat(gSalary))
    
    if (isPublicWorker && (theStatus != 3)){
      grossSalary = revised2010Salary(grossSalary);
    } else if (isPublicWorker && (theStatus == 3)){
      var hisSalary = revised2010Salary(grossSalary/2);
      var herSalary = revised2010Salary(grossSalary/2);
//      alert("hisSalary = " + hisSalary);
//      alert("herSalary = " + herSalary);
      grossSalary = hisSalary + herSalary;
    }
    
    var annualPensionAmount = parseFloat(aPensionAmount);
    var ageAttainedIndex = parseFloat(aAttainedIndex);

    if(theStatus == 3) {
      if (grossSalary > 230000)
        grossSalary = 230000;
    }else {
      if (grossSalary > 115000)
        grossSalary = 115000;
    }
    
//    alert("grossSalary = " + grossSalary);
//    alert("annualPensionAmount = " + annualPensionAmount);
//    alert("ageAttainedIndex = " + ageAttainedIndex);
//    alert("Annual pension amount is not blank and is numeric.....");
    
    if (annualPensionAmount > (ageAttainedIndex * (grossSalary/100))) {
      if(isPublicWorker)
        return "The maximum pension contribution allowed based on your gross salary and age is €" + convertToDecimal((ageAttainedIndex * grossSalary/100), 2) + " (based on 2010 reduced salary figure)<br />";
      else
        return "The maximum pension contribution allowed based on your gross salary and age is €" + convertToDecimal((ageAttainedIndex * grossSalary/100), 2) + " <br />";
    }
  }
  return "";  
}

function min(a, b) {
  if (a < b) return a;
  return b;
}

/*function checkIncome(salary, income) {
  if (isBlank(salary) && isBlank(income)) {
    return "You must enter a value for Salary or Pension";
  }
  return "";
}*/

function checkLoans(m , r, f, interest, rate) {
  if (isBlank(interest) && isBlank(rate)) {
    return "";
  }
  if (m==-1) {
    return "Please select whether this loan in respect of the purchase or repair of your principal private residence<br />";
  }
  if (m==1 && r == -1) {
    return "Please select if Entitled to Mortgage Relief<br />";
  }
  if (m==1 & r==1 && f == -1) {
    return "Please select if you are a First Time Buyer<br />";
  }
  if (checkNumeric(interest, "xyz", true, 0) != "") {
    return "Please Enter Annual Interest actually payable on your loan<br />";
  }
  if (checkNumeric(rate, "xyz", true, 0) != "") {
    return "Please Enter Annual Rate of Interest Charged by your employer<br />";
  }
  return "";
}
function isBlank(strng) {
    for(var i = 0; i < strng.length; i++) {
        var c = strng.charAt(i);
        if ((c != ' ') && (c != '\n\n') && (c != '\t')) return false;
    }
    return true;
}
function isNumeric(strng, minimum) {
  /*if (strng.indexOf(",") != -1) {
    return false;
  }*/
  var v = parseFloat(strng);
  return !isNaN(v) && v >= minimum;
}
/*
This function checks whether the specified box is required, 
blank, numeric and greater than the minimum value it should be.
It takes the following arguments:
1. The value in the box - string
2. Description of the box - string
3. Whether or not its required - boolean
4. What the minimum value is - int
*/
function checkNumeric(strng, desc, required, minimum) {
  if (required && isBlank(strng)) {
    return desc + " is a required field<br />";
  }
  if (!isBlank(strng) && !isNumeric(strng, minimum)) {
    return desc + " must be a positive number<br />";
  }

  return "";
}



function checkGrossSalary(strng, desc, required, minimum) {
  if (required && isBlank(strng)) {
    return desc + " is a required field<br />";
  }
  if (!isBlank(strng) && !isNumeric(strng, minimum)) {
    return "Please enter a value for annual gross salary<br />";
  }

  return "";
}
/*
This function checks to see what status has been selected 
with the radio buttons. 
Parameters:
1. "Status" radio control
Returns the number of the selected radio button - int
*/
/*function getStatus(s) {
//  alert("Status length = " + s.length);
    if (typeof(s) == 'number') {
      return s;
    }
  return -1;
}*/
/*
You are only entitled to the home carer's tax credit if 
you are married with one spouse working. This function 
checks to see that if you have selected that you do have 
the tax credit, you also have selected Married (one spouse working).
Paramenters:
1. f, the form
Returns
A possible error message - string
*/
function checkHomeCarer(f) {
  //alert("Checking home carer");
  if (f.homecarer.value === true && mapField(f.status.value, 'status') != 2 ) {
    return "Cannot be entitled to home carer allowance if status is not Married(one spouse working)";
  }
  return "";
}

function checkYesNoRadio(o) {
      if (o == "Y" ) {
        return 1;
      }
      else if(o == "N"){
      return 0;
      }else{
        return -1;
      }
    

}
/*function checkRelief(f) {
  return checkYesNoRadio(f.mortgagerelief.value);
}*/
/*function checkFTB(f) {
  return checkYesNoRadio(f.firsttimebuyer.value);
}*/

/*
This function checks to make sure a
radio button is selected for a status.

function checkStatus(f) {
//  alert("Checking status");
  var radioCount = 0;
  for (i=0; i < f.status.length; i++) {
    if (f.status[i].checked) {
      radioCount++;
    }
  }
  if (radioCount != 1) {
    return "Please Select a Status<br />";
  }
//  alert("Finished checking status");
  return "";  
} */


/*function checkPRSI(f) {
  var radioCount = 0;
  for (i=0; i < f.prsicategory.length; i++) {
    if (f.prsicategory[i].checked) {
      radioCount++;
    }
  }
  if (radioCount != 1) {
    return "Please Select a PRSI Category<br />";
  }
  return "";  
}*/
function showText(){
//  if(document.forms[2].checkbox1.checked){
       document.getElementById("layertwo").style.display="block";
            document.getElementById("toggle").style.display="none";
 // }else{
   //    document.getElementById("layertwo").style.visibility="hidden"
  //}if(document.forms[2].checkbox1.checked){
    //   document.getElementById("layerOne").style.visibility="hidden"
 // }else{
   //    document.getElementById("layerOne").style.visibility="visible"
 // }
}
//-->

function changeHeader(){
  document.getElementById("layertwo").style.display="block";
  document.getElementById("toggle").style.display="none";
}


$ = function(o){
  return document.getElementById(o);
};

//Xags
//Xaapc
//Xapl
//Xans
