var FHLocalStorage = (function() {

  return {

  save : function(key, value, callback, errback) {

    $fh.data( {
    'act' : 'save',
    'key' : key,
      'val' : JSON.stringify(value)
    },callback || Ext.emptyFn, errback || Ext.emptyFn);
  },

  load : function(key,callback,errback) {

    $fh.data( {
    'act' : 'load',
    'key' : key
    },function(response){
        if (!response || response == null || !response.val || response.val == null || response.val == "") {
        	response = storageHelper(key);
        	if(response==null){
	            if (typeof errback === 'function') {
	                errback(response);
	            }
	            return;
        	}
        }
        if (typeof callback === 'function') {
            callback(response);
        }        
    }, errback || Ext.emptyFn);

  },

  remove : function(key,callback,errback) {

    $fh.data( {
    'act' : 'remove',
    'key' : key
    },callback || Ext.emptyFn, errback || Ext.emptyFn);;
  }    

  };
    
})();
    
    
var FHServerStorage = (function() {

  return {

  save : function(req, callback, errback) {
  
      req.random = new Date();
      $fh.act({
          'act': req.act,
          //'secure' : true,
          'req': req
      }, function (response) {
          //if there were error in parsing the data on server side
          if (response != null && response.error) {
              if (typeof errback === 'function') {
                  errback(response);
              }
              return;
          }
          if (typeof callback === 'function') {
              callback(response);
          }
      }, errback || Ext.emptyFn);
    
    
    
  },

  load : function(req,callback,errback) {

    var mockFnName = 'mock_' + req.act; 
    if(typeof(window[mockFnName]) === 'function' ) {
      //console.log('found mock function ' + mockFnName);
      var res = window[mockFnName](req); 
      callback(res);
    }
    else {
    	req.random = new Date();
        $fh.act({
            'act': req.act,
            //'secure' : true,
            'req': req,
            'prefs': {
                source: 'localRemote',
                remoteCache: false // disables caching of ACT endpoint data in the cloud
             }            
        }, function (response) {

            //if there were error in parsing the data on server side    	
            if (response != null && response.error) {
                if (typeof errback === 'function') {
                    errback(response);
                }
                return;
            }
            if (typeof callback === 'function') {
                callback(response);
            }
        }, errback || Ext.emptyFn);    	
    }

  },

  remove : function(req,callback,errback) {

    $fh.data( {
    'act' : 'remove_feed', 
    'key' : req
    },function(response){
    	if(response!=null && response.error){
    		if(typeof errback === 'function'){
    			errback(response);
    		}
    		return;
    	}
    	if(typeof callback === 'function'){
    		callback(response);
    	}
    }, errback || Ext.emptyFn);;
  }    

  };
    
})();    




