/******************** Contact Map ********************/

App.contactUsMap = Ext.extend(Ext.Panel, {
  layout:'fit',
initComponent: function(){

    var me = this;
    var recordMap = App.stores.contactUs.getAt(this.i);

    var lon = recordMap.data.lon;
    var lat = recordMap.data.lat;
    var position = new google.maps.LatLng(lat,lon);
        this.map = new Ext.Map({
        mapOptions : {
            zoom: 15,
            center: position
        },

        listeners: {
            maprender : function(comp, map){
                var marker = new google.maps.Marker({
                     position: position,
                     map: map
                });
            }
        }
    });

    mapToolbar = new Ext.Panel({

        items:this.map,
        dockedItems:[
            {
                xtype:'toolbar',
                cls: 'mainToolbar ',
                items:[{
                  xtype: 'button',
              text: 'Back',
              ui: 'back',
              handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                    callback: function(){
                      me.destroy(); 
                    }
                    });
                }
                  }]
            }
        ]
    });

    this.items = mapToolbar;
    App.contactUsMap.superclass.initComponent.call(this);

}
});






/******************** Contact Us Details ********************/

App.contactUsDetails = Ext.extend(Ext.Panel,{
   scroll : 'vertical',
    initComponent : function(){
    var me = this;
    var recordContactDet = App.stores.contactUs.getAt(this.i);
    var lon = recordContactDet.data.lon;
    var lat = recordContactDet.data.lat;

    var position = {};

    if( google && google.maps && google.maps.LatLng ) {
      position = new google.maps.LatLng(lat, lon);
    }


    var iNew = this.i

  this.dockedItems = [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: 'Locations',
          items:
            [{
              xtype: 'button',
              text: 'Back',
              ui: 'back',
              handler : function(c) 
                 {
                    var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                    callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
     {
      xtype: 'toolbar',
      dock: 'top',

      cls: 'hiddenToolbar',
      layout:{
        type:'hbox',
        align: 'top'
      },
      items:
      [
        {
        xtype:'spacer'
        },
        {
            xtype:'panel',
            width: 62,
            html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];

  

      var textPanel = [
      {
        xtype:'panel',
        height: '88%',
        items:[{
            html:'<p class="heading">PwC '+recordContactDet.data.title+'</p>'
        }]
      },
      {
            xtype: 'map',
            cls:'smallMap',
            mapOptions:
            {
              zoom: 15,
              center: position,
              disableDefaultUI: true,
              disableDoubleClickZoom: true,
              draggable: false

            },

        listeners: {
          // Look at this! Only places maker once! 
            maprender : function(comp, map){
                var marker = new google.maps.Marker({
                     position: position,
                     map: map
                });
            },
             tap: {
            element: 'el',
            fn: function()
            { 
              App.container.setActiveItem(new App.contactUsMap({'i' : iNew}));
              mapToolbar.dockedItems.items[0].setTitle(''+recordContactDet.data.title+'');
          }
        }
        }
      },
      {
        xtype:'panel',
        items:[{
          html:'<p class="bodyText"><b class="subHeading4">Address: </b>'+recordContactDet.data.address+'<br />Tel: '+recordContactDet.data.tel+'<br />Fax: '+recordContactDet.data.fax+'</p>' + (recordContactDet.data.guid === '1' ? ('<p class="bodyText"><b class="subHeading4">Your key contact: </b>'+recordContactDet.data.key+'</p>') : ('<p class="bodyText"><b class="subHeading4">Your key contact: </b>'+recordContactDet.data.key+'<br />Tel: '+recordContactDet.data.keyTel+'<br />Email: '+recordContactDet.data.keyEmail+'</p>'))
        }]
      }];
   
      this.items = [textPanel, disclaimerNorm]
      App.contactUsDetails.superclass.initComponent.call(this);


    }

});






/******************** Contact Us ********************/

App.contactUs = Ext.extend(Ext.Panel, {
  height: '100%',
layout: 'fit',
  initComponent : function(){
	
	
    var me = this;
   this.dockedItems =
    [{
          xtype: 'toolbar',
          cls: 'mainToolbar',
          dock: 'top',
          title: 'Locations',
          items:
            [{
              xtype: 'button',
              text: 'Back',
              ui: 'back',
              handler : function(c) 
                 {
                  var scope = App.container;
                    App.controllers.back.performBack
                    ({
                    'scope' : scope,
                    'me' : me,
                    callback: function(){
                      me.destroy(); 
                    }
                    });  
                }
              },
              {
                xtype:'spacer'
              },
              {
                xtype: 'button',
                cls: 'toolbarIcon',
                icon: 'images/btn_home.png',
                handler: function ()
                {
                   var scope = App.container;
                   App.controllers.back.performHome
                    ({
                    'scope' : scope,
                    'me' : me,
                    });  
                }
              }]
    },
    {
      xtype: 'toolbar',
      dock: 'top',
      cls: 'hiddenToolbar',
       layout:{
        type:'hbox',
        align: 'bottom',
        pack: 'bottom'
      },
      items:
      [{
        xtype:'spacer'
        },
        {
          xtype:'panel',
          width: 62,
           html:'<img class="pwcLogo" src="images/logo_small.png"/>'
        },
        {
        xtype:'spacer'
        }]
    },
    {
      html:'<div class="horizontal_dotted_line"></div>'
    }];
    var list = [{
              xtype: 'list',
              cls: 'listText',
              scroll: false,
              store: App.stores.contactUs,
              disableSelection: true,
              onItemDisclosure: true,
              listeners: {
                itemtap : function(p, i){

                  App.container.setActiveItem(new App.contactUsDetails({'i' : i}) )
                }
              },
              itemTpl: '{title}'
          }];

      this.items = [{
        layout: 'fit',
        items: [
          { 
            scroll: 'vertical', 
            items: 
              [
               list, disclaimerList
               ]
          }
        ]
      }];

          App.contactUs.superclass.initComponent.call(this);
        }

});



  