var getPartnerList=function (req){
	
  //generate each record id	
  generatePartnerListIds();
  
  //generate records hash
  var newhash= $fh.hash({algorithm:'MD5',text:$fh.stringify(partnerList)}).hashvalue;
  
  //device hash
  var hash = req.hash || "";
  
  //if device data up to date
  if(hash==newhash){
	  return {'hash' : hash};
  }
  
  //if device data expired
  partnerList.hash = newhash;
  
  return partnerList; // TODO: Use the hash again
};



var generatePartnerListIds=function (){
  for( var i = 0; i < partnerList.records.length; i++) {
    // Add the id in real-time, so if the order of the items in the list is changed,
    // or if new itms are added, there are no hardcoded id's to be changed.
    var records = partnerList.records[i];
    records.guid = "" + (i+1);
  }
  return partnerList;
};

var partnerList = {
    "records": [{
        "fname": "Olwyn",
        "lname": "Alexander",
        "speciliaty": "Audit",
        "description": "<p>Olwyn Alexander is a partner in the Audit practice and leads PwC Ireland&#39s Alternative Asset Management practice.</p><p>Olwyn spent 6 months working in PwC Dallas and 4 years working in PwC New York specialising in hedge funds, structured products and private equity.</p><p>Olwyn co&ndash;chaired the AIMA Guide to Sound Practices for Hedge Fund Valuation and was a member of the expert working panel for IOSCO&#39;s principles on hedge fund valuations in 2007. She has also presented at numerous global hedge fund conferences and has published a number of articles on alternative investments, in particular on valuation.</p><p>Olwyn is a member of the AIMA research committee, a Director of the Society of Investment Analysts of Ireland, the PwC representative on the Alternative Investment Management Committee with the Irish Funds Industry Association and is also a Fellow of the Institute of Chartered Accountants in Ireland. Olwyn obtained her Chartered Financial Analyst qualification in 2003.</p><p>",
        "tel": "+353 1 792 8719",
        "email": "olwyn.m.alexander@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/OLW.png"
    }, {
        "fname": "Brian",
        "lname": "Bergin",
        "speciliaty": "Advisory",
        "description": "<p>Brian Bergin is a partner in the Advisory practice and specialises in providing Business Restructuring advisory services to lenders, creditors, companies and individuals in troubled financial situations working to examine restructuring and financing options, improve cash management and liaise with stakeholders to develop a plan which is fit for the future.</p><p>Brian also has significant experience in acquisition strategy, financial and vendor due diligence, market analysis, transaction structuring and related advisory services. He has provided these services across a wide range of industries and deal sizes, incorporating transactions across North America and Western Europe.</p><p>Brian is a Member of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8735",
        "email": "brian.bergin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/BBE.jpg"
    }, {
        "fname": "Alan",
        "lname": "Bigley",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Alan Bigley is the Irish pensions practice leader.</p><p>Alan is the key relationship partner for a wide range of corporate clients and has overseen and managed clients through significant pension change, particularly over the past number of years. He advises on the complex challenges facing clients and executives such as the future of pensions provision, the role of pensions in the employment deal, pension liability management techniques, and pension exit strategies.</p><p>The Pensions Group provides a full range of pension actuarial and advisory services to corporates and individuals and specialises in devising innovative and tailored pension solutions for clients.</p><p>Alan is a Fellow of the Institute of Chartered Accountants in Ireland and an Associate of the Institute of Chartered Secretaries and Administrators.</p><p>",
        "tel": "+353 1 792 6403",
        "email": "alan.bigley@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/ACB.png"
    }, {
        "fname": "Sean",
        "lname": "Brodie",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Sean Brodie is a partner in the Tax &amp; Legal Services practice and specialises in advice in relation to VAT.</p><p>Sean has extensive experience advising multi&ndash;national and indigenous companies operating in the manufacturing, technologies, infocomms, retail, services and not&ndash;for&ndash;profit sectors in relation to all aspects of VAT including large value property transactions.</p><p>Sean leads the VAT review, VAT Performance Improvement and Revenue Audit VAT support services.</p><p>Sean has lectured extensively on VAT issues for the Irish Taxation Institute and Incorporated Law Society of Ireland and he is co&ndash;author of \"Value Added Tax\" published by Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 8619",
        "email": "sean.brodie@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/SBD.png"
    }, {
        "fname": "Paraic",
        "lname": "Burke",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Paraic Burke is a partner in the Tax &amp; Legal Services practice and specialises in corporation tax.</p><p>Paraic has extensive experience advising Irish headquartered businesses and has significant experience in the areas of group restructurings, cross&ndash;border financing and general corporate tax advice.</p><p>Paraic is an Associate of the Institute of Chartered Accountants in Ireland and holds an MSc in Taxation.</p><p>",
        "tel": "+353 1 792 8655",
        "email": "paraic.burke@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PAB.png"
    }, {
        "fname": "Damian",
        "lname": "Byrne",
        "speciliaty": "Audit",
        "description": "<p>Damian Byrne is a partner in the Audit practice and specialises in advising Software and Technology companies.</p><p>Damian leads the audit engagement for a number of high profile MNC&#39s with significant operations in Ireland as well as some venture&ndash;backed indigenous technology companies. Damian&#39s extensive expertise in the technology, info&ndash;comms and software fields positions him to assist business with the complex accounting issues that can arise in these areas.</p><p>In addition, to his extensive knowledge of the reporting and filing requirements under US Accounting Standards and IFRS, Damian also has significant experience in private equity transactions, helping many companies make acquisitions, divestitures, strategic alliances and gain access to global capital markets.</p><p>Damian is also responsible for the Firm&#39s Business Development &amp; Marketing function, and in this role, is a member of PwC Ireland&#39s Management Board.</p><p>Damian is a Fellow of the Institute of Chartered Accountants in Ireland and is also the PwC <a href=\"http://www.pwc.com/ie/en/alumni/index.jhtml\">Alumni</a> Partner.</p><p>",
        "tel": "+353 1 792 8647",
        "email": "damian.byrne@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DIB.png"
    }, {
        "fname": "Pat",
        "lname": "Candon",
        "speciliaty": "Audit",
        "description": "<p>Pat Candon is a partner in the Audit practice and specialises in advising companies in the Asset Management industry.</p><p>Pat worked in PwC Guernsey for a number of years, specialising in the mutual funds industry. He returned to Dublin in 1990 and assisted in the set up of the Asset Management audit team in PwC Ireland and since then, has worked exclusively in the Asset Management practice, assisting companies in the structuring and audit of a wide range of international funds administered in Dublin. He has also lectured extensively on the auditing and accounting aspects of funds.</p><p>Pat is a member of the Institute of Chartered Accountants in Ireland and a member of the Irish Funds Industry Association.</p><p>",
        "tel": "+353 1 792 8538",
        "email": "pat.candon@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PJC.png"
    }, {
        "fname": "Mark",
        "lname": "Carter",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Mark Carter is a partner in the Tax &amp; Legal Services practice and leads the HR Services team, a team which assists organisations manage the financial, tax, regulatory, operational, risk management, and strategic challenges associated with human resources.</p><p>Mark has advised leading Irish and multinational clients across all sectors in relation to international workforce mobility, employment taxation, reward planning, resourcing, workforce rationalisation, as well as wider workforce and HR issues, including the HR aspects of corporate HQ migration. He leads the PwC series of HR Business Briefings and is a regular spokesperson in relation to people issues.</p><p>Mark has been involved in advising corporations in several industries on the people aspects of corporate migration projects. He also has extensive experience in international assignment policy development and expatriate programme services.</p><p>He is a member of Governance Committee of the PwC European HR Services Leadership Network. He is a former board member of a number of international business associations, including the Ireland Canada Business Association, and the International Committee of Dublin Chamber of Commerce. His overseas experience was gained with the PwC&#39s global strategy team in PwC New York.</p><p>He is an Associate of the Irish Taxation Institute, holds a Professional Diploma in Management, and is a member of the Chartered Institute of Personnel and Development. Prior to PwC Mark worked in the Public Sector.</p><p>",
        "tel": "+353 1 792 6548",
        "email": "mark.p.carter@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/CMP.png"
    }, {
        "fname": "John",
        "lname": "Casey",
        "speciliaty": "Advisory",
        "description": "<p>John Casey is a partner in the Advisory practice and specialises in Transaction Services and related Mergers and Acquisitions. He is also partner in charge of Advisory R&Q.</p><p>John specialises in the completion of due diligence, financial reviews and debt advisory. Recent assignments have included the Government refinancing of Bank of Ireland and the valuation of bank loan transfers to the National Asset Management Agency.</p><p>John is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6893",
        "email": "john.casey@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JCS.png"
    }, {
        "fname": "Mary",
        "lname": "Cleary",
        "speciliaty": "Audit",
        "description": "<p>Mary Cleary is a partner in the Audit practice and has extensive specialist experience, both statutory and regulatory, in advising companies operating in the Communications and Entertainment sectors.</p><p>Mary has unrivalled experience dealing with a broad range of complex accounting and technical issues within the Communications sector including transitioning and reporting under IFRS. Mary has led a number of significant transactions including IPOs, privatisations and significant acquisitions.</p><p>Mary is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8561",
        "email": "mary.cleary@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/MAC.png"
    }, {
        "fname": "Siobh&#225;n",
        "lname": "Collier",
        "speciliaty": "Audit",
        "description": "<p>Siobh&#225;n Collier is a partner in the PwC Kilkenny Audit practice and specialises in working with companies operating in the Consumer, Industrial Products and Middle Market sectors.</p><p>Siobh&#225;n has extensive experience advising a wide range of clients including PLCs, MNC subsidiaries and private clients across a number of sectors including manufacturing, food processing, pharmaceutical, service and retail sectors.</p><p>Siobh&#225;n is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 56 770 4920",
        "email": "siobhan.collier@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/SIC.png"
    }, {
        "fname": "Tom",
        "lname": "Corbett",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Tom Corbett is a partner in our Tax &amp; Legal Services practice and specialises in VAT.</p><p>Tom advises a broad selection of indigenous and international clients on a wide range of VAT issues. He has been to the forefront of advising on the VAT on Property regime which affects most property developments and investment holdings.</p><p>Tom has significant experience of advising Financial Services companies along with organisations in the health and education sectors with particular emphasis on examining their mix of activities and determining their appropriate VAT deductibility. He has also advised extensively on the VAT implications of corporate restructuring and Mergers and Acquisitions.</p><p>Before joining PwC, Tom worked in the Revenue Commissioners, consulting and also practised as a Barrister in the Irish Courts.</p><p>Tom is a Barrister at Law and an Associate of the Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 5462",
        "email": "tom.corbett@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TCT.png"
    }, {
        "fname": "Andrew",
        "lname": "Craig",
        "speciliaty": "Audit",
        "description": "<p>Andrew Craig is an Audit partner with extensive experience in advising construction, property, retail and manufacturing companies and is an engagement leader on a number of major companies including Irish PLCs, MNCs, large private corporates and a NASDAQ listed Foreign Private Issuer.</p><p>Andrew is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6210",
        "email": "andrew.j.craig@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/AJC.png"
    },{
        "fname": "Garrett",
        "lname": "Cronin",
        "speciliaty": "Advisory",
        "description": "<p>Garrett Cronin is a Partner in the Advisory practice and specialises in the area of Performance Improvement.</p><p>Garrett leads the Finance and Operations Effectiveness Teams, providing advice on sustainable cost reduction, shared services, outsourcing, programme and change management, working capital management and corporate performance management. He also leads the PwC European Shared Services Network supporting clients internationally with advice and insights on best practice.</p><p>Garrett has advised and delivered on complex finance and operational change programmes for many large Irish and Multi National Companies across multiple industries. He hosts PwC Ireland&#39s CFO Network Forum, which meets a number of times each year to discuss and share insights into those issues challenging CFO&#39s today.</p><p>Garrett is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8807",
        "email": "garrett.cronin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/GCN.png"
    }, {
        "fname": "Richard",
        "lname": "Day",
        "speciliaty": "Advisory",
        "description": "<p>Richard Day is a partner in the Advisory practice and advises clients operating in the technology and telecommunications sectors.</p><p>Richard leads the Data services team and is a specialist in system and process controls and specialises in financial reporting processes and systems and the effective use of technology including databases, spreadsheets and XBRL.</p><p>Richard is a fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8573",
        "email": "richard.day@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/RDY.png"
    }, {
        "fname": "F&#237;ona",
        "lname": "de B&#250;rca",
        "speciliaty": "Audit",
        "description": "<p>F&#237;ona is a Partner in the Assurance practice and specialises in the Asset Management Industry. She has extensive knowledge and over 15 years experience in advising and auditing asset management clients including mutual funds, hedge funds and private equity funds administered in Ireland and elsewhere, who utilise US GAAP, Irish GAAP and International Accounting Standards. F&#237;ona also works with asset managers and administrators based in Ireland. She provides a range of services including fund and corporate audit services, alongwith advisory services. She set up and is the leader of PwC Ireland&#39;s Private Equity Group.</p><p>F&#237;ona has worked in the PwC London, PwC LA and PwC Orange County offices advising on asset management, banking and real estate assignments for a variety of organisations, including the FSA.</p><p>F&#237;ona has assisted clients in structuring new funds and advised on various accounting, tax and operational matters. F&#237;ona has been involved with the Irish Funds Industry Association (\"IFIA\") for a number of years and has been a member of IFIA&#39s committees. F&#237;ona has lectured on auditing and accounting issues to the asset management industry in Ireland on behalf of the IFIA and the Institute of Chartered Accountants in Ireland.</p><p>F&#237;ona is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6786",
        "email": "fiona.deburca@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/FDB.png"
    }, {
        "fname": "Gear&#243;id",
        "lname": "Deegan",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Gear&#243;id Deegan is a partner in the Tax &amp; Legal Services practice and specialises in HR Services, a team which assists organisations manage the financial, tax, regulatory, operational, risk management, and strategic challenges associated with human resources.</p><p>Gear&#243;id has extensive experience in advising on international workforce mobility, taxation, and reward planning matters. Gearoid specialises in share incentive arrangements and expatriate tax consulting. His clients include a cross section of indigenous Irish and multi&ndash;national organisations with international workforces (inpatriate and expatriate), where he has gained wide&ndash;ranging experience in advising companies on the associated cross border issues which arise with an international mobile workforce.</p><p>Gear&#243;id is a Council Member and past Chairperson of the Irish ProShare Association and is a Fellow of the Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 6468",
        "email": "gearoid.deegan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/GJD.png"
    }, {
        "fname": "Jean",
        "lname": "Delaney",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Jean Delaney is a partner in the Tax &amp; Legal Services practice and leads the Retail &amp; Consumer team across the Firm. Jean also has extensive experience of advising companies in the Pharmaceutical sector.</p><p>Jean has advised Irish and multi&ndash;national companies on significant Irish and international projects including the establishment of operations in Ireland and abroad and tax&ndash;efficient structuring of supply chains.</p><p>Jean is an Associate of the Irish Taxation Institute, a member of the Finance and Administration Committee of the Irish Taxation Institute and a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6280",
        "email": "jean.delaney@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JED.png"
    }, {
        "fname": "David",
        "lname": "Devlin",
        "speciliaty": "Audit",
        "description": "<p>David Devlin is a partner in PwC Dublin.</p><p>David is Leader, Public Policy and Regulatory matters, for the Central Cluster of PwC&#39s network firms. He is a member of PwC&#39s Global Public Policy Board. He is also a member of the Global Public Policy Committee (GPPC) of the six largest international accounting networks, Chairman of its Standards Working Group and a member of the European Contact Group.</p><p>David is a member of the European Commission&#39s European Corporate Governance Forum.</p><p>David Devlin is a past President of FEE, the European Federation of Accountants. The F&#232;d&#232;ration des Experts Comptables Europ&#232;ens (FEE) is the representative organisation for the accountancy profession in Europe. FEE&#39s membership consists of 43 professional institutes of accountants from 32 countries.</p><p>He was for two terms a member of IFAC&#39;s International Ethics Standards Board for Accountants, which is responsible for the profession&#39;s global Ethics Code.</p><p>",
        "tel": "+353 1 792 6351",
        "email": "david.devlin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DLD.png"
    }, {
        "fname": "Liam",
        "lname": "Diamond",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Liam Diamond is a partner in the Tax &amp; Legal Services practice and specialises in advising companies operating in the Technology, InfoComms and Entertainment &amp; Media sectors. He also leads our Inward Investment Practice.</p><p>Liam has extensive experience in inward investment projects, international tax planning and advising US, Canadian, UK &amp; Indian groups on a wide range of Irish and international tax and related matters.</p><p>Between 2004 and 2006, Liam worked in the International Tax Services group in PwC New York and, during this time, he re&ndash;established the Irish Tax Desk and advised US and Canadian groups on Irish M&A transactions and international tax planning involving Ireland. He now works primarily with US groups and also oversees our New York based Irish Tax Desk team.</p><p>Liam has significant experience advising clients in the areas of IP planning and migration; global structure alignment; establishing Irish entrepreneur/principal companies; holding company and financing structures; leasing, treasury and captive insurance companies and SPV &amp; securitisation vehicles.</p><p>Liam is an associate of the Irish Taxation Institute, a member of the American Chamber Tax Policy Group and a member of the Ireland Canada Business Association and the Ireland India Business Association.</p><p>",
        "tel": "+353 1 792 6579",
        "email": "liam.f.diamond@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/LDD.png"
    }, {
        "fname": "John",
        "lname": "Dillon",
        "speciliaty": "Audit",
        "description": "<p>John Dillon is a partner in the Audit practice and specialises in working with companies operating in the Consumer, Industrial Products and Services sectors.</p><p>John has over 15 years experience of auditing and advising companies in the retail, distribution and manufacturing sectors. He also has considerable experience in cross&ndash;border operations and working with MNC&#39s.</p><p>In addition to his assurance work, John has advised a significant number of audit and non&ndash;audit listed clients on their transition to IFRS.</p><p>John also has considerable experience of the financial services sector, having spent a number of years working with the PwC Ireland banking and insurance team.</p><p>John is a fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6415",
        "email": "john.p.dillon@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JND.png"
    }, {
        "fname": "Ronan",
        "lname": "Doyle",
        "speciliaty": "Audit",
        "description": "<p>Ronan Doyle is a partner and leads our Audit services to the Treasury, Capital Markets. Leasing and Structured Finance sectors. In this capacity, Ronan provides both external and internal audit services, as well as advisory assistance and reviews to domestic and multi&ndash;national clients.</p><p>Ronan has significant experience in the implementation of IFRS, US GAAP and Sarbanes Oxley within banks and treasury centres. He is also responsible for the Market Risk Services within PwC Ireland which provide advice on strategy, controls, complex accounting and valuation related issues impacting banks, treasuries and structured finance companies today.</p><p>Ronan is the Irish representative on the PwC Global Corporate Treasury Technical Committee, the PwC European Treasury Leaders network and the PwC expert group on the impacts of changes to loan loss provisioning.</p><p>Ronan is a member of the Institute of Chartered Accountants in Ireland and the Irish Association of Corporate Treasurers.</p><p>",
        "tel": "+353 1 792 6559",
        "email": "ronan.doyle@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/RDE.png"
    }, {
        "fname": "John",
        "lname": "Dunne",
        "speciliaty": "Audit",
        "description": "<p>John Dunne is a partner in the Audit practice and is a member of our Private Company Services team. He specialises in advising family owned and entrepreneurial businesses across a wide range of industries.</p><p>John has extensive experience advising individuals and families on diverse issues including accounting for acquisitions/disposals, succession planning/wealth protection and family constitutions.</p><p>John is a fellow of the Association of Chartered Certified Accountants.</p><p>",
        "tel": "+353 1 792 6856",
        "email": "john.a.dunne@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JAD.png"
    }, {
        "fname": "Kevin",
        "lname": "Egan",
        "speciliaty": "Audit",
        "description": "<p>Kevin Egan leads the Audit practice and is a member of PwC Ireland&#39s Management Board.</p><p>With some twenty years experience, Kevin has worked with a wide range of Irish and international companies as auditor and business advisor and spent seven years with PwC London advising key MNCs.</p><p>Kevin is experienced in Irish GAAP and in IFRS and in recent years, he has led a number of IFRS transition assignments for Irish listed companies. He has also undertaken significant transaction support and structuring assignments for major Irish, UK and European entities.</p><p>Kevin is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6069",
        "email": "kevin.egan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/KFE.png"
    }, {
        "fname": "Enda",
        "lname": "Faughnan",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Enda Faughnan is a partner in the Tax &amp; Legal Services practice and specialises in Banking, Securitisations and Real Estate.</p><p>Enda is ACCA&#39s representative on the Tax Administration Liaison Committee (TALC) and on the Consultative Committee of Accountancy Bodies in Ireland (CCAB&ndash;I). Enda is also a member of the Banking and Treasury Group, a Government appointed committee responsible for the promotion and development of financial services in Ireland. He also chairs the International Financial Services Tax group, which has been set up resolve tax issues arising from the workings of the other Government committees.</p><p>Enda was formerly a Higher Grade Tax Inspector based in the Technical Division of the Irish Revenue.</p><p>",
        "tel": "+353 1 792 6359",
        "email": "enda.faughnan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/EJF.png"
    }, {
        "fname": "John",
        "lname": "Fay",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>John Fay is a partner in the Tax &amp; Legal Services practice and leads the VAT team. John has over 25 years experience in VAT including 10 years as a VAT inspector with the Revenue Commissioners.</p><p>John specialises in the provision of VAT services to financial services companies.</p><p>John has worked on a number of high profile VAT public policy assignments and was a member of the PwC team that advised the European Commission on the assessment of the economic implications of the existing VAT regime as it applied to financial, insurance and Asset Management services.</p><p>John also has extensive experience of advising companies on the VAT treatment of property transactions and in addition advises a number of Public Sector companies.</p><p>John is a member of the PwC Wider European Indirect Tax Leadership Network and is the Irish representative on the Global PwC Indirect Tax Network.</p><p>",
        "tel": "+353 1 792 8701",
        "email": "john.fay@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JFY.png"
    }, {
        "fname": "Martin",
        "lname": "Freyne",
        "speciliaty": "Audit",
        "description": "<p>Martin Freyne is an Audit partner and leads PwC&#39;s South East practice which includes offices in Waterford, Wexford and Kilkenny Martin has over 20 years experience advising multi&ndash;national and indigenous companies in a number of sectors including agribusiness &amp; food, pharmaceutical and bio&ndash;tech, engineering, manufacturing and services.</p><p>Martin has specialist experience in the evaluation of internal controls and reporting systems. He is familiar with IFRS and US GAAP, and plc reporting requirements His experience includes the preparation of business plans and financial forecasts, assisting in raising of finance and negotiation of grant&ndash;aid.</p><p>Martin is a member of the Institute of Chartered Accountants and holds an MBA which was jointly awarded by Manchester Business School and University of Wales.</p><p>",
        "tel": "+353 51 874 858",
        "email": "martin.freyne@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JMF.png"
    }, {
        "fname": "Ronan",
        "lname": "Furlong",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Ronan is a partner in the Tax &amp; Legal Services practice and leads the tax services for PwC South East practice which includes PwC Kilkenny, PwC Waterford and PwC Wexford.</p><p>Ronan specialises in providing taxation advice to a broad range of indigenous Irish businesses and multinational clients.</p><p>This includes advice in relation to corporate tax strategies, business selling and acquisition strategies, estate planning and succession planning for businesses and individuals, group restructuring and rationalisation programmes, and preparing and responding to corporation tax, VAT, PAYE/PRSI and RCT inspections.</p><p>Ronan is a member of the Irish Taxation Institute and is a qualified solicitor.</p><p>",
        "tel": "+353 53 91 52421",
        "email": "ronan.furlong@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/RFG.png"
    }, {
        "fname": "Teresa",
        "lname": "Harrington",
        "speciliaty": "Audit",
        "description": "<p>Teresa Harrington is a partner in our Audit Practice and has extensive experience in the provision of a range of audit and non audit services to both public and private sector organisations.</p><p>She leads our services to the Not for Profit, Health and Education Sector and is Audit Partner on a number of our Hospital, University and Charity clients.</p><p>Teresa has extensive experience in advising public and indigenous companies and not for profit entities on audit, accounting and issues such as structuring, governance and strategy.</p><p>Teresa is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8558",
        "email": "teresa.harrington@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TH.png"
    }, {
        "fname": "Denis",
        "lname": "Harrington",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Denis Harrington is a partner in the Tax &amp; Legal Services practice and specialises in International Tax Planning. Denis leads the international products &amp; services group in Dublin.</p><p>Denis has extensive experience advising large multi&ndash;national companies on a wide range of cross border issues including acquisition and disposal planning, group restructuring and reorganisations, financing structures, intellectual property structures, holding companies and controlled foreign company planning. Prior to joining PwC Dublin, Denis worked for many years in PwC London.</p><p>Denis is a Fellow of the Institute of Chartered Accountants in England and Wales.</p><p>",
        "tel": "+353 1 792 8629",
        "email": "denis.harrington@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DHN.png"
    }, {
        "fname": "Alisa",
        "lname": "Hayden",
        "speciliaty": "Audit",
        "description": "<p>Alisa Hayden is a partner in the Audit Practice and specialises in advising companies operating in the Consumer, Industrial Products and Services sectors.</p><p>Alisa leads the audit engagement for a number of high profile multi&ndash;national companies with significant operations in Ireland as well as indigenous companies and state bodies.</p><p>Alisa&#39;s extensive expertise with multi&ndash;national shared services centres, compliance with Sarbanes Oxley and the transition of companies to IFRS enables her to advise companies with the complex accounting and business issues that can arise in these areas, share her wide experience and identify opportunities for implementing best practice in there areas.</p><p>Alisa is a Fellow of the Chartered Association of Certified Accountants</p><p>",
        "tel": "+353 1 792 6294",
        "email": "alisa.hayden@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/alisa_hayden.png"
    }, {
        "fname": "Paul",
        "lname": "Hennessy",
        "speciliaty": "Audit",
        "description": "<p>Paul Hennessy is a partner in the Audit practice and leads our Private Company Services team which provide a range of services to individuals, privately owned companies, not&ndash;for&ndash;profit organisations.</p><p>Paul has extensive experience of advising private companies, family businesses and not&ndash;for&ndash;profit organisations on issues such as structuring, governance, succession and strategy.</p><p>Paul also has significant experience in the Public Sector having carried out assignments for the EU, government departments and other Public Sector organisations. He acts as audit partner to a number of hospitals and advises hospitals on critical issues in the healthcare sector.</p><p>Paul is a member of PwC&#39s Eurofirm Private Companies Services Leadership Network.</p><p>He is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6012",
        "email": "paul.hennessy@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PGH.png"
    }, {
        "fname": "Mary",
        "lname": "Honohan",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Mary Honohan is a partner in the Tax &amp; Legal Services practice and specialises in advising companies operating in the manufacturing, retail and pharmaceutical sectors.</p><p>Mary has extensive experience advising multi&ndash;national companies to establish operations in Ireland, advising Irish companies to set&ndash;up overseas operations, joint ventures and cross&ndash;border asset transfers and advising companies on managing their cross border compliance obligations.</p><p>Mary is an Associate of the Irish Taxation Institute, a member of the Institute&#39s Governing Council and Chairperson of its Education Committee.</p><p>",
        "tel": "+353 1 792 8609",
        "email": "mary.honohan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/MEH.png"
    }, {
        "fname": "Ken",
        "lname": "Johnson",
        "speciliaty": "Audit",
        "description": "<p>Ken Johnson is an Audit partner and leads PwC&#39s Mid West practice which covers PwC Limerick and PwC Galway.</p><p>Ken specialises in advising companies operating in across a wide range of sectors including Consumer, Industrial Products, Services, Technology, InfoComms and Entertainment &amp; Media.</p><p>Ken leads the audit engagement for a number of large multinational companies with extensive operations both in Ireland and overseas.</p><p>Ken has extensive experience advising indigenous business on acquisitions, disposals and fund raising along with much experience in working with family businesses assisting them with business challenges such as strategy and succession planning.</p><p>Ken is a fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 61 212 346",
        "email": "ken.m.johnson@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/KMJ.png"
    }, {
        "fname": "Patricia",
        "lname": "Johnston",
        "speciliaty": "Audit",
        "description": "<p>Patricia Johnston is an Audit Partner in our Asset Management Practice.</p><p>Patricia has fourteen years experience in the Asset Management industry, five of which were spent working in PwC Bermuda, PwC New York and PwC London. She has provided Audit and Advisory services to a large cross section of Asset Management clients including asset managers, administrators and mutual and hedge fund clients. She has also advised both Corporate and Fund clients on a range of audit, accounting and consulting engagements.</p><p>Patricia is an Associate of the Institute of Chartered Accountants in Ireland. She obtained her Chartered Financial Analyst qualification in 2004.</p><p>",
        "tel": "+353 1 792 8814",
        "email": "patricia.x.johnston@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PBK.png"
    }, {
        "fname": "Paraic",
        "lname": "Joyce",
        "speciliaty": "Audit",
        "description": "<p>Paraic Joyce is a partner in the Audit practice and specialise in advising companies operating in the insurance industry.</p><p>Paraic has an extensive knowledge of the Irish insurance industry along with trends and developments in the international insurance and reinsurance markets.</p><p>Paraic has worked with leading domestic non&ndash;life and life insurers in the Irish market, as well as a number of international reinsurers operating in Dublin&#39s IFSC. In addition to providing audit&ndash;related services to such companies, Paraic&#39s also has significant experience in the areas of acquisitions and disposals, regulatory matters and internal control. He has also advised insurers on Sarbanes&ndash;Oxley documentation and testing. Paraic also leads the Securitisation team in PwC Dublin.</p><p>Paraic is a member of PwC&#39s European Insurance IFRS Network and is a member of the Insurance Institute of Dublin.</p><p>",
        "tel": "+353 1 792 6394",
        "email": "padraic.joyce@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PJJ.png"
    }, {
        "fname": "Ciar&#225;n",
        "lname": "Kelly",
        "speciliaty": "Advisory",
        "description": "<p>Ciar&#225;n Kelly is a partner in the Advisory practice and specialises in Change and Programme Management, Performance Improvement, Revenue Growth and Information Technology. Since joining PwC in 1999, Ciar&#225;n has delivered major change projects for clients across a number of sectors including Financial Services, Retail &amp; Consumer Goods, Public Sector &amp; Healthcare and Technology.</p><p>Ciar&#225;n also works closely with our Transaction Services Team, advising clients on operational, technical and commercial aspects of mergers, acquisition, carve&ndash;outs.</p><p>Prior to joining PwC in 1999, Ciar&#225;n worked in the financial services industry in operational, technology and project management roles.</p><p>",
        "tel": "+353 1 792 6408",
        "email": "ciaran.kelly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/KEC.png"
    }, {
        "fname": "Andrea",
        "lname": "Kelly",
        "speciliaty": "Audit",
        "description": "<p>Andrea Kelly is an Audit Partner in our Asset Management Practice.</p><p>Andrea specialises in the alternative area of PwC Dublin&#39s Asset Management practice, having worked in the industry for the past 11 years. She advises onshore and offshore funds, many of whom have complex structures and policies, and who utilise US GAAP, Irish GAAP and International Financial Reporting Standards. Andrea also advises an extensive range of alternative investment clients in Ireland promoted by European and US investment managers (both stand alone and institutional), covering all types of strategies from fund of funds, to convertible arbitrage, distressed debt, emerging markets etc.</p><p>Andrea has significant consultancy experience, including operational control reviews, product structuring advice to hedge fund managers, valuation and pricing reviews as well as the ongoing assurance business of identifying and presenting internal control weaknesses and opportunities for efficiencies.</p><p>Andrea is an Associate of the Institute of Chartered Accountants in Ireland. She presented on best practices for the oversight of fund valuations at the Baronsmead Irish Directors&#39 Forum in November 2007. Andrea is also a member of Alternative Investment Management Association.</p><p>",
        "tel": "+353 1 792 8540",
        "email": "andrea.kelly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/AKK.png"
    }, {
        "fname": "Joanne",
        "lname": "Kelly",
        "speciliaty": "Audit",
        "description": "<p>Joanne Kelly is a partner in the Audit practice and specialises in the Asset Management industry.</p><p>Joanne has significant experience in the Asset Management industry in both the US and Dublin and her clients include large US, UK and Japanese asset managers and their fund vehicles.</p><p>Joanne has been actively involved in the Dublin Funds Industry since 1999 and has assisted many of the leading global players, structure products in Dublin.</p><p>Joanne has written and spoken widely on the challenges and opportunities facing the industry and currently specialises in providing Performance Improvement solutions to fund managers and service organisations.</p><p>",
        "tel": "+353 1 792 6774",
        "email": "joanne.p.kelly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/KEJ.png"
    }, {
        "fname": "Colm",
        "lname": "Kelly",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Colm Kelly is a partner in the Tax &amp; Legal Services practice in Ireland and is the Global Tax Strategy and Markets Leader for the PwC Global Tax business. Colm specialises in financial services and international tax and advises a range of Irish and multi&ndash;national companies on the establishment, organisation and operation of their business and on the structuring and financing of cross&ndash;border businesses and transactions. He led PwC Ireland&#39s Tax &amp; Legal Services practice from 2003 until December 2010.</p><p>Colm worked with the International Tax Services team in PwC New York between 1995 and 1997 advising some of the world&#39s leading companies on the tax aspects of their Irish and cross&ndash;border investments. Colm was appointed to the PwC Global Tax Leadership Team in 2009, having been a member of the European Tax Leadership team for a number of years.</p><p>Colm is a member of the Irish Taxation Institute, and is also the Chairman of the Foundation for Fiscal Studies. He has lectured and spoken widely on Irish and international tax issues.</p><p>",
        "tel": "+353 1 792 6383",
        "email": "colm.r.kelly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/COK.png"
    }, {
        "fname": "John M",
        "lname": "Kelly",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>John M Kelly is a partner in the Tax &amp; Legal Services practice and leads the firm&#39s Pharmaceutical and Life Sciences team.</p><p>John has extensive experience advising Irish multi&ndash;national groups structuring overseas operations and advising multinational groups structuring new and incremental investments in Ireland. He also deals with a significant portfolio of manufacturing and service companies on an ongoing basis. He has worked extensively with major global pharmaceutical companies in optimising their global supply chains and in organising the most effective structures to capture and exploit the related intellectual property.</p><p>John is the leader of the PwC European Pharmaceutical and Life Sciences Tax network and a member of the PwC Global Pharmaceutical and Life Sciences Leadership Team.</p><p>John is a Fellow of the Institute of Chartered Accountants in Ireland,an Associate of the Institute of Taxation in Ireland and a member of the Institute of Directors.</p><p>",
        "tel": "+353 1 792 6307",
        "email": "john.m.kelly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JMK.png"
    }, {
        "fname": "Susan",
        "lname": "Kilty",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Susan Kilty is a partner in the Tax &amp; Legal Services practice and leader of the Entertainment &amp; Media (E&M) industry group. Susan specialises in advising companies within the Technology and E&M sectors on Irish corporate tax, with a particular focus on US headquartered multinationals investing in Europe.</p><p>Susan has extensive experience on all aspects of tax planning including business restructuring, establishing of joint ventures and new subsidiaries, tax due diligence reviews and assists companies to deal with many of the tax issues which arise as a result of the challenges technology &amp; media companies face including strategic alliances, Mergers and Acquisitions and international expansions.</p><p>In addition, Susan leads our Tax Management and Accounting Solutions Practice in Ireland. She has significant experience in helping client transition to an outsourced compliance service provider as well as introduce efficiencies through the use of technology. She leads complex cross border compliance engagements for her clients with a particular focus on SSC environments.</p><p>Susan is a Member of the Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 6740",
        "email": "susan.kilty@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/SYK.png"
    }, {
        "fname": "Anita",
        "lname": "Kissane",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Anita Kissane is a tax partner and leads the PwC Limerick and PwC Galway tax practice. Anita specialises in corporate tax and VAT advice for companies operating in all industry sectors.</p><p>Anita has extensive experience advising both multi&ndash;nationals and local businesses on diverse Irish and international tax issues including group structuring, inward investment, Mergers and Acquisitions and succession planning.</p><p>Anita is a member of the Institute of Taxation in Ireland.</p><p>",
        "tel": "+353 61 212 314",
        "email": "anita.kissane@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/ANK.png"
    }, {
        "fname": "Chand",
        "lname": "Kohli",
        "speciliaty": "Audit",
        "description": "<p>Chand Kohli is a partner in the Audit practice and leads the Financial Services practice in PwC Ireland. Chand specialises in advising companies in the banking and insurance sectors and, with over 25 years experience, he has an in&ndash;depth knowledge of financial reporting, regulatory and other market issues relating to the financial services industry in Ireland.</p><p>Chand has significant experience of IFRS and the implementation of Sarbanes&ndash;Oxley as well as US GAAP. He has assisted many international financial services business to set up in Ireland.</p><p>He has also spoken widely to key industry forums, including the Irish Bankers Federation, the Irish Insurance Institute, the Irish Insurance Federation and the Society of Actuaries in Ireland.</p><p>Chand is a member of the Institute of Chartered Accountants in England and Wales, a fellow of the Institute of Chartered Accountants in Ireland and an honorary fellow of the Society of Actuaries in Ireland. He worked with PwC in London and PwC in Los Angeles prior to joining PwC Ireland in 1987.</p><p>",
        "tel": "+353 1 792 6519",
        "email": "chand.kohli@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/CKK.png"
    }, {
        "fname": "John",
        "lname": "Loughlin",
        "speciliaty": "Audit",
        "description": "<p>John Loughlin is a partner in the Audit practice and specialises in advising financial services companies.</p><p>John has worked with PwC for 25 years in PwC New York, PwC Hong Kong, and PwC Dublin and has extensive experience auditing and advising large companies with a particular focus on raising capital in the United States and other capital markets.</p><p>In PwC Hong Kong John was responsible for a number of large and highly complex listings of companies based in Hong Kong and China on multiple markets, including acting as the lead engagement partner for the only Chinese financial services company to list in New York and Hong Kong.</p><p>Since returning to PwC Dublin in 2005, John has been the audit partner responsible for a number of listed and financial services companies and has continued to advise companies on the listing and other requirements for raising capital in the United States, London and other markets.</p><p>John is a Fellow of the Institute of Chartered Accountants in Ireland, a member of the Hong Kong Institute of Certified Public Accountants and a graduate in Civil Law from University College Dublin.</p><p>",
        "tel": "+353 1 792 8551",
        "email": "john.loughlin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JLO.png"
    }, {
        "fname": "Vincent",
        "lname": "MacMahon",
        "speciliaty": "Audit",
        "description": "<p>Vincent MacMahon is a partner in the Audit practice and specialises in Asset Management.</p><p>Vincent has worked exclusively with Asset Management companies for the past 15 years and spent two years working in PwC Boston and spent a short term secondment in PwC Hong Kong. Since returning to Ireland, Vincent has provided audit and advisory services to a large cross section of Asset Management clients including asset managers, administrators, custodians and investment funds.</p><p>Vincent is also the practice leader in Ireland for the provision of advisory and verification services to asset managers under the Global Investment Performance Standards. Vincent has published articles and lectured widely on the subject of performance presentation standards.</p><p>Vincent is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6192",
        "email": "vincent.macmahon@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/VGM.png"
    }, {
        "fname": "Ronan",
        "lname": "MacNioclais",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Ronan MacNioclais is a partner in the Tax &amp; Legal Services practice and specialises in Mergers and Acquisitions and private equity transactions. He also leads our Energy, Renewables and Utilities group for the tax practice.</p><p>Ronan has extensive experience advising Irish Plcs and multi&ndash;national groups on Irish and international tax structuring including operating company/property company structures, group financing, group reorganisations and use of entrepreneur structures. He has also advised on a wide variety of cross border acquisitions and disposals by leading international private equity houses and sovereign wealth funds.</p><p>As a tax adviser to some of Ireland&#39s largest energy and renewable operations Ronan has an indepth knowledge of industry issues including Carbon Tax, optimisation of capital allowance claims and using his M&A expertise has advised acquirers and targets in this rapidly consolidating sector.</p><p>Ronan is a member of the Institute of Tax and the Institute of Chartered Accountants.</p><p>",
        "tel": "+353 1 792 6006",
        "email": "ronan.macnioclais@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/RMN.png"
    }, {
        "fname": "Tom",
        "lname": "McCarthy",
        "speciliaty": "Audit",
        "description": "<p>Tom McCarthy is an Audit Partner and specialises in advising companies operating in the Consumer, Industrial Products and Media sectors.</p><p>Tom has extensive experience leading the audit engagements of a number of high profile Irish listed companies and MNC&#39s with significant operations in Ireland. Tom has extensive experience in the FMCG, pharmaceuticals, construction, and media industries.</p><p>In addition, Tom has extensive knowledge of reporting and filing requirements under US Accounting Standards, having advised US MNC&#39s in Ireland and having worked with PwC Boston for a 3 year period. Tom has also carried out a number of Due Diligence and Investigative Assignments on behalf of clients.</p><p>Tom has been a Partner in the Firm for 18 years, is a member of the Firm&#39s Management Board, and is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6268",
        "email": "tom.mccarthy@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TMC.png"
    }, {
        "fname": "Teresa",
        "lname": "McColgan",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Teresa McColgan is a partner in our Tax &amp; Legal Services practice and specialises in advising private companies and their owners on a range of issues including business structures, value extraction, succession and wealth transfers. She also advises a number of our professional services partnership clients, and leads the team that provides tax services to the health, education and not&ndash;for&ndash;profit sectors.</p><p>As tax partner for a number of our hospital, university and charity clients, Teresa knows that it is key for organisations in these sectors to be exemplarily tax compliant, while availing of all relevant tax reliefs and maintaining charitable tax exemption where appropriate. Our team comprises specialists in all tax heads who have many years of experience working together on the issues specific to these sectors.</p><p>Teresa is a Fellow of the Chartered Association of Certified Accountants (FCCA) and is also an associate of the Irish Taxation Institute (AITI).</p><p>",
        "tel": "+353 1 792 8613",
        "email": "teresa.mccolgan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TRM.png"
    }, {
        "fname": "Dervla",
        "lname": "McCormack",
        "speciliaty": "Advisory",
        "description": "<p>Dervla McCormack is a partner in the Advisory practice and specialises in Business Strategy.</p><p>Dervla is an economist and has project managed large implementation and change management projects. Dervla has significant experience in preparing and reviewing business plans; undertaking sectoral studies; feasibility studies; socio&ndash;economic studies; market analysis assignments; organisational reviews; market entry strategies; and operational reviews.</p><p>Dervla is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8520",
        "email": "dervla.mccormack@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DVM.png"
    }, {
        "fname": "Enda",
        "lname": "McDonagh",
        "speciliaty": "Audit",
        "description": "<p>Enda McDonagh is a partner in the Audit practice and specialises in working with companies operating in the Consumer, Industrial Products and Services sectors.</p><p>Enda has extensive experience leading audit engagements on a portfolio of large US and domestic clients. This experience includes working with both manufacturing and services based audit clients with a focus on the packaging, pharmaceutical and life sciences industries. He is the Pharmaceutical and Life Science Assurance leader for Ireland.</p><p>Enda has significant IFRS, Sarbox and US GAAP experience having worked on a range of IFRS conversion projects on his domestic clients, working on US subsidiaries located in Ireland and having spent three years working in PwC Boston from 2000 to 2003.</p><p>Enda is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8728",
        "email": "enda.mcdonagh@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/EMO.png"
    }, {
        "fname": "Caroline",
        "lname": "McDonnell",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Caroline McDonnell is a partner in the Tax &amp; Legal Services practice and specialises in VAT.</p><p>Caroline has significant experience advising Irish and multi&ndash;national companies operating in the Technology, Infocomms, Manufacturing, Retail and Services sectors in relation to all aspects of VAT including automating the VAT return process, systems implementation, cash flow efficiencies, the structuring of supply chains and the VAT treatment of property transactions.</p><p>Caroline also has extensive experience advising a number of high profile MNC&#39;s with Global Shared Services Centres located in Ireland, helping them to manage the complex VAT issues that can arise in this area.</p><p>Caroline is an Associate of the Institute of Chartered Accountants in Ireland and holds a BSc. from U.C.D.</p><p>",
        "tel": "+353 1 792 6526",
        "email": "caroline.mcdonnell@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/CMD.png"
    }, {
        "fname": "Jim",
        "lname": "McDonnell",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Jim McDonnell is a partner in the Tax &amp; Legal Services practice and advises financial services companies.</p><p>Jim has advised on a wide range of taxation issues specific to financial institutions in Ireland and internationally including banking taxation, leasing, stock lending/repo transactions, Asset Management and securitisations.</p><p>Jim has advised many leading financial institutions on significant leasing transactions, including tax&ndash;based property transactions and big&ndash;ticket leasing deals. His client base includes a significant portfolio of both US and European headquartered aircraft lessors.</p><p>Jim spent almost 10 years as an Inspector of Taxes with the Irish Revenue Commissioners prior to joining PwC.</p><p>",
        "tel": "+353 1 792 6836",
        "email": "jim.mcdonnell@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JGD.png"
    }, {
        "fname": "John",
        "lname": "McDonnell",
        "speciliaty": "Audit",
        "description": "<p>John McDonnell is a Partner in the Banking and Capital Markers group. John has worked extensively with key Irish and international banks and financial institutions. John also has considerable experience in the retail banking, wholesale banking and capital markets. </p><p>John provides a full range of audit and advisory services to these clients including; audit and accounting advice, controls reviews, treasury reviews, Sarbanes Oxley advice, acquisition and reorganisation advice, corporate governance and risk reviews and financial investigations. </p><p>John is a member of PwC's Global Accounting Consulting Services Team specialising in accounting for financial instruments and banking products and a member of PwC's IFRS Global Banking and Capital Markets Committee. John is also a member of the Urgent Issues Task Force (UITF) of the UK standard setter.</p><p>John is consulted regularly on major accounting issues for both our Irish and International financial services clients.</p><p>",
        "tel": "+353 1 792 8559",
        "email": "john.mcdonnell@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JMO.png"
    }, {
        "fname": "David",
        "lname": "McGee",
        "speciliaty": "Advisory",
        "description": "<p>David McGee is an Advisory partner working in our Consulting team. David is a Technology specialist with over twenty years experience in the Retail sector both in industry roles and as a consultant.</p><p>David has extensive experience advising clients in the Retail and Consumer Goods sectors on diverse projects including technology, corporate strategy, operational effectiveness and supply chain. His clients include indigenous firms and Irish and foreign owned multi nationals in the sector.</p><p>Prior to joining PwC in 2008, David held a senior role in a major Irish retail and wholesale company.</p><p>David also leads the PwC Ireland team which is involved in the development of PwC&#39;s TransformIT methodology, a structured approach to helping organisations drive change in their IT function.</p><p>",
        "tel": "+353 1 792 8785",
        "email": "david.a.mcgee@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/EED.png"
    }, {
        "fname": "Ivan",
        "lname": "McLoughlin",
        "speciliaty": "Audit",
        "description": "<p>Ivan McLoughlin is a partner in the Audit practice and specialises in the Banking industry.</p><p>Ivan has over 16 years experience and during this time has worked with a range of domestic and international banks specialising in retail and corporate banking, leasing, investment banking and banking regulatory compliance.</p><p>Ivan is a Fellow of the Institute of Chartered Accountants.</p><p>",
        "tel": "+353 1 792 6812",
        "email": "ivan.mcloughlin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/IJM.png"
    }, {
        "fname": "James",
        "lname": "McNally",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>James McNally is a partner in the Tax &amp; Legal Services practice and specialises in Company Administration and Outsourcing Services, encompassing payroll processing and consulting, company secretarial, share schemes, accounting solutions, and management support functional effectiveness.</p><p>James also has extensive tax experience, focussing on advising Pharmaceutical companies on domestic and international tax planning and structuring, value chain transformation, R&D, and intellectual property.</p><p>",
        "tel": "+353 1 792 6844",
        "email": "james.o.mcnally@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JOM.png"
    }, {
        "fname": "Declan",
        "lname": "Murphy",
        "speciliaty": "Audit",
        "description": "<p>Declan is an Audit partner in our Asset Management practice.</p><p>Declan has significant experience, both locally and internationally, providing audit and business advisory services to a wide range of international asset managers and promoters.</p><p>In particular, Declan has considerable experience dealing with major multi&ndash;manager and hedge fund groups, using both Irish and offshore domiciled products, and covering a wide spectrum of fund structures, strategies and GAAP.</p><p>Declan has developed a strong knowledge of the Asset Management industry in Asia, particularly China, and has spoken at a number of industry events on this subject.</p><p>Declan is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8770",
        "email": "declan.g.murphy@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DGM.png"
    }, {
        "fname": "Brian",
        "lname": "Neilan",
        "speciliaty": "Audit",
        "description": "<p>Brian Neilan is a partner in the Audit practice and specialises in Financial Services.</p><p>Brian leads the audit engagement for a number of high profile insurance clients with significant operations in Ireland as well as some investment and treasury companies. Brian&#39s extensive expertise in the financial services industry enables him to assist business with the complex accounting issues that can arise in these areas.</p><p>Brian has experience in complex insurance transactions, including retrospectively rated policies, unusual reinsurance contracts, captives, loss portfolio transfers, fronting arrangements and other structured transactions. In addition to his extensive knowledge of the reporting requirements under Irish and IFRS, Brian also has significant experience in regulatory matters having assisted several domestic and cross&ndash;border insurance companies to establish or restructure operations in Ireland and to deal with the related regulatory issues in Ireland and abroad.</p><p>Brian is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8537",
        "email": "brian.neilan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/BDN.png"
    }, {
        "fname": "Damian",
        "lname": "Neylin",
        "speciliaty": "Audit",
        "description": "<p>Damian Neylin is a partner in the Audit practice and leads the Asset Management practice at PwC Ireland.</p><p>Damian advises European and US institutions and emerging managers on the establishment of Dublin domiciled funds, as well as funds from other domiciles administered in Ireland.</p><p>Damian has lectured widely in investment funds as well as authoring articles on this topic. He was until recently a member (and Chairman 2002/2003) of the Council of the Irish Funds Industry Association. He is also a member of An Taoiseach&#39s IFSC Funds Group, a member of the Financial Services Ireland Executive and is past Chair of the Irish Financial Services Inter&ndash;Association Network. During 2006, Damian served on the EU&#39s Expert Group on Hedge Funds.</p><p>",
        "tel": "+353 1 792 6551",
        "email": "damian.neylin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DPN.png"
    }, {
        "fname": "Andy",
        "lname": "O&#39;Callaghan",
        "speciliaty": "Audit",
        "description": "<p>Andrew has significant experience in the Asset Management industry in the US and Dublin and his clients include large US, UK and Japanese asset managers and their fund vehicles.</p><p>Andrew has been actively involved in the Dublin Funds Industry since 1995 and has assisted many of the leading global players structure products in Dublin.</p><p>Andrew has written and spoken widely on the challenges and opportunities facing the industry and currently specialises in providing Performance Improvement solutions to fund managers and service organisations.</p><p>Andrew is a Fellow of the Institute of Chartered Accountants in Ireland, England and Wales and a member of the Marketing Committee of the Irish Funds Industry Association. Andrew is also Chairman of the Competitiveness Sub&ndash;Committee of the IFIA.</p><p>",
        "tel": "+353 1 792 6247",
        "email": "andy.ocallaghan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/OCA.png"
    }, {
        "fname": "Ann",
        "lname": "O&#39;Connell",
        "speciliaty": "Advisory",
        "description": "<p>Ann O&#39Connell is a partner in the Advisory practice and leads the Strategy Advisory Services team at PwC Ireland. Ann specialises in the provision of corporate and business planning activities, including strategic plans, market entry strategies, feasibility studies and public policy studies.</p><p>Ann has extensive experience working with clients in the Entertainment &amp; Media and Food sectors and understands the key challenges faced in these industries.</p><p>Prior to joining PwC in 1988, Ann worked in the industry for 10 years in operational and business planning roles.</p><p>",
        "tel": "+353 1 792 8512",
        "email": "ann.oconnell@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/AOC.png"
    }, {
        "fname": "Jonathan",
        "lname": "O&#39;Connell",
        "speciliaty": "Audit",
        "description": "<p>Jonathan O&#39;Connell is a partner in the Audit practice and specialises in the Asset Management industry. Jonathan has over ten years experience in providing audit and advisory services to a range of onshore and offshore funds and fund management companies who utilise IFRS, Irish GAAP and US GAAP along with extensive knowledge and experience in advising Asset Management clients including UCITS funds, Alternative Investments funds and Asset Managers in Ireland.</p><p>Jonathan is a member of the PwC Global IFRS Asset Management Industry Accounting Network and leads the team at PwC Dublin which provides IFRS and related Irish GAAP advice to Asset Management clients and service providers.</p><p>Between 1996 and 1998, Jonathan worked in PwC Toronto providing audit and business advisory services to mutual fund clients and gaining experience and knowledge of US and Canadian GAAP.</p><p>Jonathan has been involved with the Irish Funds Industry Association for a number of years and is currently Chairman of the IFIA Technical Committee. In addition, Jonathan has lectured on auditing and accounting issues to the industry on behalf of the IFIA for a number of years.</p><p>Jonathan is a member of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8737",
        "email": "jonathan.oconnell@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JTC.png"
    }, {
        "fname": "Carmel",
        "lname": "O&#39;Connor",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Carmel O&#39;Connor is the Firm&#39;s People Partner, responsible for the management of the Firm&#39;s HR function and, in this role, is a member of PwC Ireland&#39;s Management Board. Carmel led PwC to being recognised as the winner of the &#39;Best Company To Work for in Ireland 2008&#39;, one of the top ten &#39;Best European Workplaces 2008&#39; and the gradireland &#39;Most Popular Graduate Recruiter&#39; for three years running 2008 &ndash; 2010.</p><p>Carmel is also a partner in the Tax &amp; Legal Services practice with extensive experience advising multi&ndash;national companies operating in the Consumer, Industrial Products &amp; Services sectors on International Tax Planning issues. Carmel also has significant experience in negotiating with Revenue on all aspects of tax affairs. She has a particular interest in EU affairs and monitors developments in EU Direct Taxes for the Firm.</p><p>",
        "tel": "+353 1 792 6417",
        "email": "carmel.oconnor@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/COC.png"
    }, {
        "fname": "Denis",
        "lname": "O&#39;Connor",
        "speciliaty": "Advisory",
        "description": "<p>Denis O&#39;Connor is an advisory Partner and leads both our Domestic &amp; Indigenous Outbound and Transaction Services practices in PwC Ireland.</p><p>Denis has led a wide range of transactions covering every aspect of due diligence and Advisory Services across Ireland, the UK, Europe and the US. His expertise includes financial due diligence, vendor due diligence, synergy / merger benefits reviews and IPO&#39;s. He has provided these services across a wide range of industries and deal sizes.</p><p>Denis has led the PwC teams working for the Financial Regulator reviewing the loan quality with the covered Banks in 2008 and 2009. He also led the financial due diligence on behalf of The National Pension Reserve Fund relating to their investment in Bank of Ireland and AIB in early 2009. Denis led the PwC teams in the IPO&#39;s of Aer Lingus Group plc and the Smurfit Kappa Group plc, these are the most recent significant IPO&#39;s on the Irish Stock Exchange.</p><p>Denis is a B.Comm Graduate from UCC and is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6288",
        "email": "denis.g.oconnor@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DGC.png"
    }, {
        "fname": "Marie",
        "lname": "O&#39;Connor",
        "speciliaty": "Audit",
        "description": "<p>Marie O&#39;Connor is a partner in the Audit practice and specialises in providing audit and business advisory services to the financial services industry.</p><p>Marie is the lead engagement partner on a number of Dublin&#39s most successful investment fund structures and has advised a number of leading US Asset Management groups in establishing operations in Ireland. She was the lead partner of the Irish Asset Management practice for 12 years until 2007 and was also the Financial Services Leader for the later four years. Marie was a member of our Global IM Leadership team and our European IM and FS Leadership executive for many years.</p><p>Marie has been appointed as non executive director by the Irish Government over the last twenty years. Appointments have incuded IDA Ireland, Irish Life, National College of Art, Top Level Appointments Committee and she is currently a director of Dublin Airport. Marie is a member of the Irish Chapter of the Ireland US Council for Commerce and Industry, has been a board member of the American Chamber of Commerce and the Economic and Social Research Institute for Ireland.</p><p>Marie is a Fellow of the Chartered Association of Certified Accountants, and is also qualfied as a Barrister.</p><p>",
        "tel": "+353 1 792 6308",
        "email": "marie.o.connor@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/MOC.png"
    }, {
        "fname": "Paul",
        "lname": "O&#39;Connor",
        "speciliaty": "Audit",
        "description": "<p>Paul O&#39;Connor is an audit partner with extensive experience working with companies operating in the Technology, InfoComms and Entertainment &amp; Media sectors.</p><p>Paul leads the audit of a number of high profile technology companies and advises on the key challenges they face in the industry.</p><p>Paul is a member of the PwC&#39s European Software Community of Practice network that draws together the expertise of lead professionals to better serve software clients. In addition to this, Paul also presents at the PwC Software Accounting \"boot camps\" which aim to help clients better understand the complex accounting requirements around the areas of software revenue recognition and pricing both under Irish and US Accounting Standards.</p><p>Paul is an elected member of the Council of the Institute of Chartered Accountants in Ireland helping to determine the Institute&#39s strategy and policy and deciding on the allocation of resources to its various programmes. Paul is also an Associate of the Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 6035",
        "email": "paul.w.oconnor@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/POC.png"
    }, {
        "fname": "Terry",
        "lname": "O&#39;Driscoll",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Terry O&#39;Driscoll is a partner in the Tax &amp; Legal Services practice and leads our tax services for Domestic and International Outbound clients.</p><p>Terry provides tax consultancy services to major indigenous clients of PwC. He has extensive experience of advising clients in relation to international structuring, tax efficient financing, business modelling, mergers and acquisitions and group reorganisations.</p><p>Terry is a Solicitor and a fellow of the Institute of Taxation in Ireland.</p><p>",
        "tel": "+353 1 792 8617",
        "email": "terry.odriscoll@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TDL.png"
    }, {
        "fname": "Mary",
        "lname": "O&#39;Hara",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Mary O&#39;Hara is a partner in the Tax &amp; Legal Services practice and specialises in HR Services, a team which assists organisations manage the financial, tax, regulatory, operational, risk management, and strategic challenges associated with human resources.</p><p>Mary has extensive experience advising global organisations on employment tax, global mobility and workforce issues including immigration, taxation, social security and reward.</p><p>Mary is a Fellow of the Institute of Chartered Accountants in Ireland. She is an active participant in PwC&#39s European Reward Advisory Network and Global Immigration Network.</p><p>",
        "tel": "+353 1 792 6215",
        "email": "mary.ohara@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/MOH.png"
    }, {
        "fname": "Irene",
        "lname": "O&#39;Keeffe",
        "speciliaty": "Audit",
        "description": "<p>Irene O&#39;Keeffe is an Audit partner and specialises in advising companies operating in the Technology, InfoComms and Entertainment &amp; Media sectors. Irene also specialises in advising companies on the proposed transition to IFRS for SME.</p><p>Irene leads the audit engagement for a diverse portfolio of MNC and indigenous clients and has extensive experience advising clients on a broad range of accounting issues.</p><p>Irene authored the Firm&#39s publication of \"Non executive directors&ndash;the role and responsibilities\".</p><p>Irene is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 8563",
        "email": "irene.okeeffe@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/IOK.png"
    }, {
        "fname": "John",
        "lname": "O&#39;Leary",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>John O&#39;Leary is a partner in the Tax &amp; Legal Services practice and leads PwC Ireland&#39s financial services tax team. John specialises in insurance and banking and advises on structured finance transactions.</p><p>John has extensive experience advising on Irish and international tax issues and has assisted many insurance and banking MNCs to establish and develop EU headquarter operations in Ireland.</p><p>John is a regular speaker and presenter on international tax issues facing the Financial Services industry and is a member of the tax committee of the IFSC Insurance Group which advises the Irish government on tax policy for international financial services.</p><p>John is a fellow of the Institute of Chartered Accountants in Ireland and an associate of the Irish Taxation Institute.</p><p>",
        "tel": "+353 1 792 8659",
        "email": "john.oleary@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JHO.png"
    }, {
        "fname": "Dave",
        "lname": "O&#39;Malley",
        "speciliaty": "Audit",
        "description": "<p>Dave O&#39;Malley is a partner in the Audit practice in PwC Limerick and specialises in advising companies operating in the Education, Not&ndash;for&ndash;Profit, Construction and Industrial Products sectors.</p><p>Dave leads the audit engagements for a number of significant MNC&#39s in the West and Mid West and has extensive experience assisting businesses with complex accounting and business issues that arise.</p><p>In addition, to his extensive knowledge of the reporting under US Accounting Standards, Dave also has significant experience over a range of businesses, both international and indigeneous, in dealing with a wide variety of business issues.</p><p>Dave is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 61 212 354",
        "email": "david.omalley@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DOM.png"
    }, {
        "fname": "Garvan",
        "lname": "O&#39;Neill",
        "speciliaty": "Audit",
        "description": "<p>Garvan O&#39;Neill is a Partner in PwC&#39;s Financial Services Practice in Dublin</p><p>Garvan has over 20 years of experience in providing services to insurance, banking and capital market companies in Ireland. He has advised a range of life assurance, non&ndash;life insurance, reinsurance, investment intermediary, broker and banking operations, both international and Irish, on a wide variety of matters including strategy, establishment, solvency requirements, product design and investment structures. He leads PwC&#39;s Regulatory Advisory Practice and PwC&#39;s Pension group in Ireland.</p><p>Garvan has been the audit partner on a wide range of key industry players both in the domestic and cross&ndash;border international financial services sector.</p><p>Garvan is a member of PricewaterhouseCoopers&#39; Global Regulatory Advisory Leadership Team and is a lead member on the European steering committee to develop solutions to address the challenges created for companies by Solvency II. He is a regular speaker and presenter on regulatory issues facing the financial services industry and is regularly published, most recently on the governance requirements of Solvency II.</p><p>Garvan is a fellow of the Institute of Chartered Accountants in Ireland and holds a B Comm and Dip. Prof. Acc. from University College Dublin.</p><p>",
        "tel": "+353 1 792 6218",
        "email": "garvan.o'neill@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/GNO.png"
    }, {
        "fname": "Michael",
        "lname": "O&#39;Neill",
        "speciliaty": "Audit",
        "description": "<p>Michael O&#39;Neill is a partner in the Audit practice and an experienced audit and transaction support partner.</p><p>Michael leads the audit of listed groups, large private companies and high profile MNC&#39s. He has conducted a wide range of accountancy investigations in the context of commercial disputes and litigation.</p><p>Michael leads PwC Ireland&#39s audit services to the Entertainment &amp; Media sector and has extensive experience in the construction/PPP, technology and info&ndash;comm sectors.</p><p>Michael served on the Council of the Institute of Chartered Accountants in Ireland for 8 years and was Chairman of its Technical Committee for 4 years. He served as a member of the Urgent Issues Task Force of the Accounting Standards Board UK and Ireland for 5 years.</p><p>Michael is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6250",
        "email": "michael.oneill@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/MON.png"
    }, {
        "fname": "Tim",
        "lname": "O&#39;Rahilly",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Tim O&#39;Rahilly is a partner in the Tax &amp; Legal Services practice and specialises in advising high&ndash;net&ndash;worth individuals and in the taxation aspects of investment transactions.</p><p>Tim has extensive experience in advising many of Ireland&#39s leading business people with particular focus on retirement and succession planning.</p><p>Tim has also advised key stakeholders in real estate investment in Ireland and elsewhere.</p><p>Tim is an Associate Member of the Institute of Taxation in Ireland (AITI) and holds a MsC in Taxation.</p><p>",
        "tel": "+353 1 792 6862",
        "email": "timothy.orahilly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/TRA.png"
    }, {
        "fname": "Billy",
        "lname": "O&#39;Riordan",
        "speciliaty": "Advisory",
        "description": "<p>Billy O&#39;Riordan is a partner in the Advisory practice and specialises in Business Recovery Services.</p><p>Billy has extensive experience advising on insolvency and related issues including restructuring through the Irish Examinership process, executory insolvency assignments on behalf of secured lenders and other creditors of distressed companies.</p><p>Billy is also Chairman of the CCABI Insolvency Committee and is Chairman of the Irish Society of Insolvency Practitioners in Ireland, a Fellow of the Institute of Chartered and is a licensed Insolvency Practitioner.</p><p>",
        "tel": "+353 1 792 8592",
        "email": "billy.oriordan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/WOR.png"
    }, {
        "fname": "Feargal",
        "lname": "O&#39;Rourke",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Feargal O&#39;Rourke is the head of the PwC Tax and Legal Services practice in Ireland and a member of PwC Ireland&#39s leadership team. He is part of PwC&#39s Technology Tax and Legal Services group and has over 20 years experience of advising multinationals investing in Ireland on Irish issues and European and Global structures. He acts for a number of household names in the technology sector, primarily from the West Coast of the US, but also the indigenous sector. Feargal also led the PwC Tax Technology Network in EMEA which comprises partners in over 90 countries dealing with major European and Global accounts from 2004 until taking over the Irish Tax practice in 2010.</p><p>Feargal served for 7 years on the board of Forfas, the State body responsible for the development of Industrial policy and the Development of Science and Technology. In 2004 Feargal was appointed by the Government as one of Ireland&#39;s \"independent persons of standing\" under the terms of the Double Taxation Arbitration Convention, a position which he still holds. He was also a member of the Government&#39s Commission on Taxation which sat in 2008/09.</p><p>",
        "tel": "+353 1 792 6480",
        "email": "feargal.orourke@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/FOR.png"
    }, {
        "fname": "Joe",
        "lname": "O&#39;Shea",
        "speciliaty": "Audit",
        "description": "<p>Joe O&#39;Shea is an Audit partner and leads our PwC Cork practice.</p><p>Joe has significant experience in providing a range of assurance services to large multi&ndash;national and indigenous clients. He works extensively with large pharmaceutical and technology clients and, in recent years, has acted as key adviser to multi&ndash;national companies in connection with establishing shared services centres in Ireland.</p><p>Joe has extensive knowledge of US GAAP and GAAS reporting requirements.</p><p>Joe is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 21 425 4001",
        "email": "joe.oshea@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/OSJ.png"
    }, {
        "fname": "Ken",
        "lname": "Owens",
        "speciliaty": "Audit",
        "description": "<p>Ken Owens is a partner in the Audit practice and specialises in the Asset Management industry.</p><p>Ken has extensive knowledge and experience advising clients including UCITS funds, hedge funds and private equity funds administered in Ireland.</p><p>Ken leads the PwC Dublin Asset Management Regulatory practice and has led a number of regulatory projects advising clients in relation to: the establishment UCITS funds and non&ndash;UCITS funds; anti&ndash;money laundering compliance; compliance function effectiveness; investment firm authorisation; capital adequacy requirements; and cross border outsourcing. Ken is currently helping clients to address the implementation issues arising from the new UCITS IV directive.</p><p>Ken is a Fellow of the Institute of Chartered Accountants in Ireland. Ken is a member of Irish Fund Industry Association&#39s Governing Council and is also a member of the Investment Funds Listing Committee of the Irish Stock Exchange.</p><p>",
        "tel": "+353 1 792 8542",
        "email": "ken.owens@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/KEO.png"
    }, {
        "fname": "George",
        "lname": "Reddin",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>George Reddin is a partner in the Tax &amp; Legal Services practice and specialises in advising Irish publicly quoted companies and semi&ndash;State entities.</p><p>George has extensive experience advising on both the domestic and international tax aspects of significant business transactions including restructurings, mergers, acquisitions, divestitures and the raising of finance.</p><p>George is both a Fellow of the Institute of Chartered Accountants in Ireland and a Fellow of the Irish Taxation Institute. He is also a member of the Irish Taxation Institute&#39s Research Committee and its Branch Network &ndash; Large Cases Division.</p><p>",
        "tel": "+353 1 792 6348",
        "email": "george.reddin@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/GVR.png"
    }, {
        "fname": "Anthony",
        "lname": "Reidy",
        "speciliaty": "Audit",
        "description": "<p>Anthony Reidy is an Audit Partner who specialises in providing assurance services to a number of large multinational and corporate clients based in the Cork region.</p><p>Anthony has significant experience in supporting clients who operate in areas such as manufacturing, pharmaceutical, technology, investment property, shared services and retail. Anthony has assisted and advised many clients in their IFRS conversion process. In addition, Anthony is responsible for managing and coordinating audit activities and related reporting affecting numerous European locations on significant multinational clients operating Shared Service Centres in the Cork region. Anthony has experience in managing internal control reviews arising under Sarbanes Oxley legislation for a number of large multinational subsidiaries within his client portfolio.</p><p>Anthony is a member of the PwC Ireland Audit Methodology Group responsible for the delivery of global PwC audit methodology and best practices throughout the Irish assurance practice.</p><p>Anthony is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 21 425 4004",
        "email": "anthony.reidy@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/ARY.png"
    }, {
        "fname": "Dermot",
        "lname": "Reilly",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Dermot Reilly is a partner in the Tax &amp; Legal Services practice and specialises in advising private companies and their owners.</p><p>Dermot has significant experience in advising many of Ireland&#39s leading private companies and high net worth individuals. He also has extensive experience in dealing with real estate clients and has been involved in many property investment projects both in Ireland and abroad.</p><p>Dermot is a Fellow of the Association of Chartered Certified Accountants and is a former Inspector of Taxes.</p><p>",
        "tel": "+353 1 792 8605",
        "email": "dermot.reilly@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DFR.png"
    }, {
        "fname": "Gavan",
        "lname": "Ryle",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Gavan Ryle is a partner in the Tax &amp; Legal Services practice and specialises in Transfer pricing.</p><p>Gavan advises multi&ndash;national companies on Transfer pricing planning as an element of managing their effective tax rate, and focuses on structuring their international related party transactions to optimise the availability of Ireland&#39s 12.5% corporation tax rate. Ireland&#39s introduction of transfer pricing rules in Finance Act 2010 has increased focus on Irish transfer pricing issues, and Gavan has worked extensively with multi&ndash;nationals across a wide range of industries to consider the impact of the new rules and review existing intercompany arrangements in advance of the new rules coming in to effect.</p><p>Gavan also advises multi&ndash;national companies with Dispute Resolution and Competent Authority proceedings and works closely with the Competent Authority team of the Irish tax authorities to resolve the double taxation arising, minimise the adjustment amount and secure the repayment of Irish tax.</p><p>Gavan has been with PwC since 1993, and worked for five years with the Transfer pricing Group in the PwC Sydney between 1997 and 2002.</p><p>Gavan is a Fellow of the Institute of Chartered Accountants in Ireland and a Member of the Irish Taxation Institute.</p<p>",
        "tel": "+353 1 792 8704",
        "email": "gavan.ryle@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/GRL.png"
    }, {
        "fname": "Emma",
        "lname": "Scott",
        "speciliaty": "Audit",
        "description": "<p>Emma Scott is an Audit Partner in the Financial Services practice. Emma specialises in advising companies in the Banking, Insurance and Securitisation sectors.</p><p>Emma has extensive experience leading audit engagements on a portfolio of large international and domestic banking and insurance clients. Emma has significant experience in IFRS, US GAAP and the implementation of Sarbanes&ndash;Oxley.</p><p>Emma has also worked in PwC Sydney.</p><p>Emma is a fellow of the Institute of Chartered Accountants.</p><p>",
        "tel": "+353 1 792 6025",
        "email": "emma.scott@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/EAS.png"
    }, {
        "fname": "Bob",
        "lname": "Semple",
        "speciliaty": "Advisory",
        "description": "<p>Bob Semple is a partner in the Advisory practice and specialises in Corporate Governance, Risk Management and Internal Audit, including forensic examination; he is a well&ndash;known speaker on these topics and is the author of several publications.</p><p>Bob has extensive experience advising publicly quoted companies, large government departments, state bodies and private companies across all sectors.</p><p>Bob is a Fellow of the Institute of Chartered Accountants in Ireland and of the Irish Computer Society; he is a director of GS1, and of The Corporate Governance Association of Ireland and is a member of the Institute of Directors.</p><p>",
        "tel": "+353 1 792 6434",
        "email": "bob.semple@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/RWS.png"
    }, {
        "fname": "Mike",
        "lname": "Sullivan",
        "speciliaty": "Advisory",
        "description": "<p>Mike Sullivan is a partner in the Advisory practice and leads our Risk Assurance team. Mike specialises in the areas of internal and IT controls, governance, risk and internal audit.</p><p>Mike is the lead partner on a wide range of busines risk assignments in both the commercial and public sectors, helping clients optimise their risk and control structures. He provides board and senior management level advice on all aspects of corporate governance and risk management issues.</p><p>In addition, Mike is a Fellow of the Institute of Chartered Accountants in Ireland and a member of the Institute of Internal Auditors. Mike is the partner responsible for a range of internal audit contracts supporting clients in the development of internal audit strategies, risk assessments, internal audit plans and the provision of outsourced, co&ndash;sourced and specialist internal audit resources.</p><p>Mike is also responsible for the management of the Irish firm&#39;s internal IT, Finance and Infrastructure functions and in this role is a member of PwC Ireland&#39;s Management Board.</p><p>",
        "tel": "+353 1 792 6450",
        "email": "michael.m.sullivan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/SMM.png"
    }, {
        "fname": "Billy",
        "lname": "Sweetman",
        "speciliaty": "Audit",
        "description": "<p>Billy Sweetman is an Audit partner in our South East practice and leads the Wexford team at PwC Ireland. Billy provides audit and business advisory services to both indigenous and multinational companies.</p><p>Billy has extensive experience advising clients on optimising the disposal of their business and has acted in a number of corporate recovery assignment including members, creditors and court liquidations. Recent major assignments undertaken include providing pre&ndash; and post&ndash;acquisition advice to a management buy&ndash;out team for the purchase of a technology based company and leading a manufacturing company through the development and implementation of a strategic plan.</p><p>Billy is a Fellow of the Institute of Chartered Accountants in Ireland. He is a member of the board of Wexford Festival Opera.</p><p>",
        "tel": "+353 53 915 2404",
        "email": "billy.sweetman@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/BYS.png"
    }, {
        "fname": "Yvonne",
        "lname": "Thompson",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Yvonne Thompson is a partner in the PwC Financial Services Tax Practice in Ireland, specialising in the corporate taxation of banking, insurance and leasing operations.</p><p>Yvonne has extensive experience advising financial services clients on all aspects of domestic and international cross&ndash;border tax matters. This includes international tax structuring through Ireland, foreign tax transaction matters, the taxation of various capital markets transactions, re&ndash;structurings and due diligence/compliance reviews. She is also involved in PwC&#39s global Islamic Finance network.</p><p>Yvonne is a fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 7147",
        "email": "yvonne.thompson@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/yt.png"
    }, {
        "fname": "Paul",
        "lname": "Tuite",
        "speciliaty": "Advisory",
        "description": "<p>Paul Tuite leads the Advisory Services team at PwC Ireland and is a member of the Management Board.</p><p>Paul specialises in Transaction Services and has extensive experience in advising public and privately owned corporates together with private equity organisations on a range of acquisition and disposal related matters. Specific services provided include financial due diligence, vendor due diligence, stock exchange work, completion accounts reviews and advice in relation to the financial and commercial aspects of acquisition agreements.</p><p>Paul is a Fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6502",
        "email": "paul.tuite@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PGT.png"
    }, {
        "fname": "David",
        "lname": "Tynan",
        "speciliaty": "Advisory",
        "description": "<p>David Tynan is a partner in the Advisory practice and specialises in Corporate Finance.</p><p>David has extensive experience advising companies and individuals involved in the acquisition and disposal of companies. He has led several teams advising clients across a wide range of business areas including business services, entertainment &amp; media, retail, hospitality and healthcare. David&#39s client responsibilities focus primarily on advising shareholders on maximising their returns from the sale of their companies and advising businesses on complex acquisitions.</p><p>Amongst the transactions that David has advised on include the sale of Dalkia Ireland&#39s Facilities Management business to MITIE Group PLC, the sale of the Pfizer plant at Loughbeg to Hovione, tsale of The Leinster Leader to Johnston Press plc and the sale of Sterile Technologies to Stericycle Inc.</p><p>",
        "tel": "+353 1 792 6582",
        "email": "david.tynan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/DVT.png"
    }, {
        "fname": "Joe",
        "lname": "Tynan",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Joe is a partner in PwC&#39;s tax practice and has over 19 years experience in advising multi&ndash;nationals investing in Ireland on Irish, European and global structures. Joe acts for a number of household names in the technology sector from the US and also acts for a number of Irish based multi&ndash;nationals. Joe assists these multi&ndash;nationals to structure their operations to benefit from beneficial Irish tax rates and to keep their world&ndash;wide tax rate to a minimum.</p><p>Joe has worked with a number of multi&ndash;nationals to assist them establishing:</p><ul><li>European headquarter operations in Ireland</li><li>Commissionaire structures in Ireland</li><li>Entrepreneur structures in Ireland</li><li>IP structuring</li></ul><p>Joe is a member of the Irish Tax Leadership since 2002. He is the partner in charge of PwC&#39;s Tax Services for Inbound companies leading a group of 8 partners and 80 staff.</p><p>He is an Associate of the Irish Taxation Institute and a Director and Honorary Treasury of the Irish Exporters Association and a member of the Irish Software Association and ICT Ireland.</p><p>",
        "tel": "+353 1 792 6399",
        "email": "joe.tynan@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/JTN.png"
    }, {
        "fname": "Pat",
        "lname": "Wall",
        "speciliaty": "Tax &amp; Legal Services",
        "description": "<p>Pat Wall is a partner in the Tax &amp; Legal Services practice and specialises in advising financial services companies.</p><p>Pat has extensive experience advising Asset Management and insurance companies on international tax and regulatory issues.</p><p>Pat is a member of the IFSC Clearing House Group, and Chair of the Asset Management Working group.</p><p>",
        "tel": "+353 1 792 8602",
        "email": "pat.wall@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/PMW.png"
    }, {
        "fname": "Aidan",
        "lname": "Walsh",
        "speciliaty": "Advisory",
        "description": "<p>Aidan Walsh is a partner in the Advisory practice and leads the Corporate Finance practice in PwC Ireland. Aidan has led teams that have advised both public and private sector clients on significant infrastructure financing and procurement including many Public Private Partnerships. He has also advised clients on many substantial acquisitions and disposals of Irish businesses.</p><p>In addition to his extensive financial advisory roles, Aidan spent two years on secondment as acting Chief Executive of VHI in 1997/98. In that role, Aidan led an extensive change programme involving organisational structures, new product delivery, changed provider relationships and systems.</p><p>Aidan is a fellow of the Institute of Chartered Accountants in Ireland.</p><p>",
        "tel": "+353 1 792 6255",
        "email": "aidan.walsh@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/AHW.png"
    }, {
        "fname": "Tony",
        "lname": "Weldon",
        "speciliaty": "Audit",
        "description": "<p>Tony Weldon is a partner in the Audit practice and specialises in financial services.</p><p>Tony has significant experience of the Asset Management, banking and capital markets sectors and works primarily with Asset Management companies assisting companies in the structuring and audit of a wide rage of international funds administered in Dublin.</p><p>Tony has also worked in PwC Tokyo and PwC Cork.</p><p>Tony has wide experience in multi&ndash;manager clients including the internal operation and audit functions of major Irish superannuation funds .</p><p>Tony lectures frequently on current accounting developments in industry issues, including IFRS.</p><p>Tony is a Fellow of the Institute of Chartered Accountants.</p><p>",
        "tel": "+353 1 792 6309",
        "email": "tony.weldon@ie.pwc.com",
        "image": "http://download.pwc.com/ie/partners/pick/AJW.png"
    }]
};